Bug 1473614 - katello-change-hostname should use only tools available on capsule
Summary: katello-change-hostname should use only tools available on capsule
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Packaging
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: John Mitsch
QA Contact: Jan Hutař
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-21 10:03 UTC by Peter Ondrejka
Modified: 2019-09-25 21:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:11:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20821 0 None None None 2017-09-08 13:34:57 UTC

Description Peter Ondrejka 2017-07-21 10:03:15 UTC
When checking the server health, katello-change-hostname uses `hammer ping`, a command not available on capsule. The script should be checked so that it is ready for use on capsule servers.

Comment 3 John Mitsch 2017-07-26 12:51:32 UTC
Thanks Brad,

I made a note to take a look at this

-John

Comment 14 John Mitsch 2017-08-28 13:57:54 UTC
Peter,

I'll look at cleaning up the terminology, thanks for catching that. As far as workflow for a capsule, you can generate the certs with  a new fqdn, copy the certs over, and then run katello-change-hostname with --certs-tar

Comment 15 John Mitsch 2017-08-28 15:23:46 UTC
Created redmine issue http://projects.theforeman.org/issues/20768 from this bug

Comment 16 Satellite Program 2017-08-29 16:01:47 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 17 Satellite Program 2017-08-29 16:01:50 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 18 John Mitsch 2017-09-08 13:34:55 UTC
Connecting redmine issue http://projects.theforeman.org/issues/20821 from this bug

Comment 24 Bryan Kearney 2018-02-21 17:11:03 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.